### Function

# FwupdPlugin cpu_get_attrs

since: 2.0.7

#### Declaration [src]

    GHashTable*
    fu_cpu_get_attrs (
      FuPathStore* pstore,
      GError** error
    )

#### Description [src]

Gets attributes for the first CPU listed in `/proc/cpuinfo`.

Available since: 2.0.7

#### Parameters

`pstore`

  Type: `FuPathStore`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

CPU attributes.

The caller of the function takes ownership of the data, and is responsible for freeing it.